## Speedbreak ##

#Variable that takes the gear mode
gear_pos = props.globals.getNode("/controls/gear/gear-down");

#Variable that takes the speedbrake node 
speedbrake_pos = props.globals.getNode("/controls/flight/speedbrake");

#Variable that takes the speedbrake move node
speedbrake_move = props.globals.getNode("/controls/flight/speedbrake-move");

#Function to increase or decrease the position of the speedbrake by steps
#Only if the gear is up the speedbrake is fully extended, otherwise is half extedend.
incSpeedBrake =
func {
 if ( ( arg [0] > 0 ) and ( gear_pos.getValue() ) and ( speedbrake_pos.getValue() >= 0.49 ) )
 {
  interpolate(speedbrake_move, 200 * arg[0], 0.15);
 }
 else 
 {
  interpolate(speedbrake_move, 200 * arg[0], 0.15);
  speedbrake_pos.setValue( speedbrake_pos.getValue() + arg[0] );
 }
}

#Function that gets the position of the gear and moves the speedbrake if 
#it's fully extended 
#the same function intercepts the changes of position of the speedbrake and 
#hence changes the value of the node *speedbrake-move*
ChangeDueToGear = func
{
 if ((gear_pos.getValue()) and (speedbrake_pos.getValue() > 0.49))
 {
  interpolate(speedbrake_pos, 0.49, 0.15);
 }

 if ( (speedbrake_move.getValue() == 1) or (speedbrake_move.getValue() == -1) )
 {
  interpolate(speedbrake_move, 0, 0.15);
 }

 settimer(ChangeDueToGear, 0.5);
}

settimer(ChangeDueToGear, 0.5);

## Tank ##

#variables that take the:
#node that points to center tank
center_tank_lbs = props.globals.getNode("/consumables/fuel/tank[0]/level-lbs");
center_tank_kg = props.globals.getNode("/consumables/fuel/tank[0]/level-kg");

#node that points to left tank
left_tank_lbs = props.globals.getNode("/consumables/fuel/tank[1]/level-lbs");
left_tank_kg = props.globals.getNode("/consumables/fuel/tank[1]/level-kg");

#node that points to right tank
right_tank_lbs = props.globals.getNode("/consumables/fuel/tank[2]/level-lbs");
right_tank_kg = props.globals.getNode("/consumables/fuel/tank[2]/level-kg");

#node that points to the variable that contains the sum of all the fuel in kg
all_tank_kg = props.globals.getNode("/consumables/fuel/total-fuel-kg");

#Function that sums the fuel in the tanks
FuelSum = func 
{
 center_tank_kg.setValue(center_tank_lbs.getValue()*0.454);
 left_tank_kg.setValue(left_tank_lbs.getValue()*0.454);
 right_tank_kg.setValue(right_tank_lbs.getValue()*0.454);
 all_tank_kg.setValue(center_tank_kg.getValue()+left_tank_kg.getValue()+right_tank_kg.getValue());
 settimer(FuelSum, 0.1);
}

settimer(FuelSum, 0.5);

#Variable that takes the currently selected tank's number
tank_num = props.globals.getNode("/consumables/fuel/tank-sel");

#Function that switchs "tank-sel" throught all the tanks 
ToggleTank = func 
{
 print(tank_num.getValue());
 tank_num.setValue(tank_num.getValue() + arg[0]);
 if (tank_num.getValue() > 2)
  {
   tank_num.setValue(0);
  }
}

## Smoke ##

SmokeToggle = func
{
  var smoke=props.globals.getNode("/smoke");
  smoke.getChild("active").setValue(!smoke.getChild("active").getValue());
}

SmokeColor = func
{
  var smoke=props.globals.getNode("/smoke");
  #form white to red
  if(smoke.getChild("color").getValue()=="white") {
    smoke.getChild("color").setValue("red");
    smoke.getChild("red").setValue(0.867);
    smoke.getChild("green").setValue(0.133);
    smoke.getChild("blue").setValue(0.133);
  }
  #from red to green
  else if(smoke.getChild("color").getValue()=="red") {
    smoke.getChild("color").setValue("green");
    smoke.getChild("red").setValue(0.0);
    smoke.getChild("green").setValue(0.533);
    smoke.getChild("blue").setValue(0.267);
  }
  #from green to white
  else if(smoke.getChild("color").getValue()=="green") {
    smoke.getChild("color").setValue("white");
    smoke.getChild("red").setValue(1.0);
    smoke.getChild("green").setValue(1.0);
    smoke.getChild("blue").setValue(1.0);
  }
  #from otherwise to white
  else {
    smoke.getChild("color").setValue("white");
    smoke.getChild("red").setValue(1.0);
    smoke.getChild("green").setValue(1.0);
    smoke.getChild("blue").setValue(1.0);
  }
}

SmokeCounter = func(step)
{
  var smoke=props.globals.getNode("/smoke");
  smoke.getChild("particlepersec").setValue(smoke.getChild("particlepersec").getValue()+step);
  if(smoke.getChild("particlepersec").getValue()<0) {
    smoke.getChild("particlepersec").setValue(0);
  }
  i=0;
  var smokeai=props.globals.getNode("/ai/models/multiplayer[0]");
  while(smokeai!=nil) {
    if(smokeai.getNode("sim/model/path").getValue()=="Aircraft/mb339pan/models/mb339pan.xml") {
      smokeai.getNode("smoke/particlepersec").setValue(smoke.getChild("particlepersec").getValue());
    }
    i=i+1;
    smokeai=props.globals.getNode("/ai/models/multiplayer["~i~"]");
  }
  print("Smoke particle per second: ",smoke.getChild("particlepersec").getValue());
}